apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: octant-deployer
  name: octant-deployer
  namespace: kube-system
spec:
  replicas: 1
  selector:
    matchLabels:
      app: octant-deployer
  template:
    metadata:
      labels:
        app: octant-deployer
    spec:
      containers:
        - command:
            - /octant
            - --listener-addr
            - 0.0.0.0:80
          env:
            - name: KUBERNETES_SERVICE_HOST
              value: hh-k8s-noah-sc-staging001-master.api.vip.com
          image: vipdocker-f9nub.vclound.com/llm/octant-deployer:v1
          imagePullPolicy: Always
          name: octant-deployer
      restartPolicy: Always
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: octant-deployer
  name: octant-deployer
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: octant-deployer
  template:
    metadata:
      labels:
        app: octant-deployer
    spec:
      containers:
        - command:
            - /octant
            - --listener-addr
            - 0.0.0.0:80
          env:
            - name: KUBERNETES_SERVICE_HOST
              value: hh-k8s-noah-sc-staging001-master.api.vip.com
          image: vipdocker-f9nub.vclound.com/llm/octant-deployer:v1
          imagePullPolicy: Always
          name: octant-deployer
      serviceAccountName: sa-noah
      restartPolicy: Always